Post Varnish 4 migration cleanup
Closed, ResolvedPublic

Description

Now that all cache clusters have been upgraded to Varnish 4 we can remove quite a bit of complexity from our VCL and puppet code by getting rid of the v3-specific parts.

The varnish, varnishkafka and vmod packages currently in jessie-wikimedia/experimental can be promoted to jessie-wikimedia/main.

It's probably a good a idea to wait for a week or so before merging the above mentioned changes to be on the safe side.

ema created this task.Nov 14 2016, 4:07 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptNov 14 2016, 4:07 PM
BBlack moved this task from Triage to Caching on the Traffic board.Nov 14 2016, 10:07 PM

Change 322252 had a related patch set uploaded (by Ema):
cache: get rid of varnish 3 compatibility code

https://gerrit.wikimedia.org/r/322252

ema updated the task description. (Show Details)Nov 18 2016, 12:11 PM

Change 322252 merged by Ema:
cache: get rid of varnish 3 compatibility code

https://gerrit.wikimedia.org/r/322252

Change 322691 had a related patch set uploaded (by Ema):
cache: remove persistent storage support

https://gerrit.wikimedia.org/r/322691

Change 322691 merged by Ema:
cache: remove persistent storage support

https://gerrit.wikimedia.org/r/322691

Change 322703 had a related patch set uploaded (by Ema):
Remove varnish::apt_preferences

https://gerrit.wikimedia.org/r/322703

Change 322884 had a related patch set uploaded (by BBlack):
varnish: un-template v[34] syntax-helper variables

https://gerrit.wikimedia.org/r/322884

Change 322885 had a related patch set uploaded (by BBlack):
varnish: remove chash director leftovers

https://gerrit.wikimedia.org/r/322885

Change 322703 merged by Ema:
Remove varnish::apt_preferences

https://gerrit.wikimedia.org/r/322703

Change 322908 had a related patch set uploaded (by Ema):
varnish: remove error_synth

https://gerrit.wikimedia.org/r/322908

Change 322911 had a related patch set uploaded (by Ema):
Remove Varnishkafka APT pinning

https://gerrit.wikimedia.org/r/322911

Change 322884 merged by BBlack:
varnish: un-template v[34] syntax-helper variables

https://gerrit.wikimedia.org/r/322884

Change 322885 merged by BBlack:
varnish: remove chash director leftovers

https://gerrit.wikimedia.org/r/322885

Change 322908 merged by BBlack:
varnish: remove error_synth

https://gerrit.wikimedia.org/r/322908

Change 322911 merged by Ema:
Remove Varnishkafka APT pinning

https://gerrit.wikimedia.org/r/322911

Mentioned in SAL (#wikimedia-releng) [2016-11-23T15:04:47Z] <Krenair> fixed puppet on deployment-cache-text04 by manually enabling experimental apt repo, see T150660

Mentioned in SAL (#wikimedia-labs) [2016-11-23T15:04:47Z] <Krenair> fixed puppet on deployment-cache-text04 by manually enabling experimental apt repo, see T150660

ema moved this task from Caching to Varnish v4 on the Traffic board.Nov 24 2016, 1:28 PM

Mentioned in SAL (#wikimedia-operations) [2016-11-24T14:47:07Z] <ema> uploaded varnishkafka 1.0.12-1 to carbon main component, replacing version 1.0.7-1 (T150660)

Mentioned in SAL (#wikimedia-operations) [2016-11-24T15:03:40Z] <ema> uploaded varnish 4.1.3-1wm4 to carbon main component, replacing version 3.0.6plus-wm9 (T150660)

ema closed this task as Resolved.Nov 24 2016, 3:04 PM

Change 323423 had a related patch set uploaded (by Ema):
varnish: rename scripts depending on varnishlog.py

https://gerrit.wikimedia.org/r/323423

Mentioned in SAL (#wikimedia-operations) [2016-11-25T11:05:19Z] <ema> uploaded libvmod-{netmapper,tbf,vslp} to carbon main component (T150660)

Change 323423 merged by Ema:
varnish: rename scripts depending on varnishlog.py

https://gerrit.wikimedia.org/r/323423

Change 323822 had a related patch set uploaded (by Ema):
varnish: rename varnishlog4.py into varnishlog.py

https://gerrit.wikimedia.org/r/323822

Change 323822 merged by Ema:
varnish: rename varnishlog4.py into varnishlog.py

https://gerrit.wikimedia.org/r/323822

Change 326247 had a related patch set uploaded (by Ema):
dstat_varnishstat: remove varnish 3 compatibility code

https://gerrit.wikimedia.org/r/326247

Change 326247 merged by Ema:
dstat_varnishstat: remove varnish 3 compatibility code

https://gerrit.wikimedia.org/r/326247